<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>MiniProject-01</title>
    
</head>
<body>
    <h1>Mini Project 01 Luthfi</h1>
    <div id="issues"></div>
    <script>
        async function fetchIssue() {
            var issuePrint = ''
            var response = await fetch('http://localhost:8080/tes', {
                method: 'GET',
                headers: {
                    Accept: 'application/json',
                },
            })
            var data = await response.json()
            var url_string = window.location.href
            var url = new URL(url_string)
            var id = url.searchParams.get("id")
            console.log(id);
            for (var index = 0; index < data.nodes.length; index++){
                if(data.nodes[index].number == id){
                issuePrint += `<div><h3>Number &ensp;: ${[data.nodes[index].number]}</h3></div>`
                issuePrint += `<div><h3>Title &ensp;  : ${data.nodes[index].title}</h3></div>`
                issuePrint += `<div><h3>Author &ensp;: ${data.nodes[index].author.login}</h3></div>`
                issuePrint += `<div><a href="more-detail.html?id=${data.nodes[index].number}" >Detail</a></div>`
                }
            }
            document.getElementById('issues').innerHTML = issuePrint
        }

        window.onload = () => {
            fetchIssue()
        }
    </script>
    
</body>
</html>